| optoMDC

Public Member Functions | Public Attributes | List of all members
optoMDC.registers.mre2_registers.Logger Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.Logger:

## Public Member Functions
def | __init__ (self, board=None)
def | GetLoggedRegister (self, log_number)
def | SetLoggedRegister (self, log_number, value)
def | RunLogger (self)
def | StopLogger (self)
def | GetLog (self, log_number, index, count)
def | GetSamplingFrequency (self)
def | SetSamplingFrequency (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Public Attributes
| sys_id
| logged_register_0
| logged_register_1
| logged_register_2
| logged_register_3
| logged_register_4
| logged_register_5
| run
| sampling_frequency
| register_log_0
| register_log_1
| register_log_2
| register_log_3
| register_log_4
| register_log_5
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Device Functionality - Logger
    System ID: 0x24

    A system for logging the values of various readable registers.

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x06 | uint 32-bit |Bool  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x07 | uint 32-bit |float |       | 10000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoMDC.registers.mre2_registers.Logger.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetLog()

def optoMDC.registers.mre2_registers.Logger.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetLoggedRegister()

def optoMDC.registers.mre2_registers.Logger.GetLoggedRegister | ( |  | self,
|  |  | log_number
| ) |  |

## ◆ GetSamplingFrequency()

def optoMDC.registers.mre2_registers.Logger.GetSamplingFrequency | ( |  | self | ) |

## ◆ RunLogger()

def optoMDC.registers.mre2_registers.Logger.RunLogger | ( |  | self | ) |

## ◆ SetLoggedRegister()

def optoMDC.registers.mre2_registers.Logger.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value
| ) |  |

## ◆ SetSamplingFrequency()

def optoMDC.registers.mre2_registers.Logger.SetSamplingFrequency | ( |  | self,
|  |  | value
| ) |  |

## ◆ StopLogger()

def optoMDC.registers.mre2_registers.Logger.StopLogger | ( |  | self | ) |

## Member Data Documentation

## ◆ logged_register_0

optoMDC.registers.mre2_registers.Logger.logged_register_0

## ◆ logged_register_1

optoMDC.registers.mre2_registers.Logger.logged_register_1

## ◆ logged_register_2

optoMDC.registers.mre2_registers.Logger.logged_register_2

## ◆ logged_register_3

optoMDC.registers.mre2_registers.Logger.logged_register_3

## ◆ logged_register_4

optoMDC.registers.mre2_registers.Logger.logged_register_4

## ◆ logged_register_5

optoMDC.registers.mre2_registers.Logger.logged_register_5

## ◆ name

optoMDC.registers.mre2_registers.Logger.name

## ◆ register_log_0

optoMDC.registers.mre2_registers.Logger.register_log_0

## ◆ register_log_1

optoMDC.registers.mre2_registers.Logger.register_log_1

## ◆ register_log_2

optoMDC.registers.mre2_registers.Logger.register_log_2

## ◆ register_log_3

optoMDC.registers.mre2_registers.Logger.register_log_3

## ◆ register_log_4

optoMDC.registers.mre2_registers.Logger.register_log_4

## ◆ register_log_5

optoMDC.registers.mre2_registers.Logger.register_log_5

## ◆ run

optoMDC.registers.mre2_registers.Logger.run

## ◆ sampling_frequency

optoMDC.registers.mre2_registers.Logger.sampling_frequency

## ◆ sys_id

optoMDC.registers.mre2_registers.Logger.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py